| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csqsqrt.h File Reference

Fast computation of sqrt(x) and 1/sqrt(x). More...

`#include "cssysdef.h"`
`#include <math.h>`

Go to the source code of this file.

## Functions
static float | csQisqrt (float x)
| This routine is basically equivalent to csQsqrt() except that it returns 1/sqrt(x) rather than the proper square root.
static float | csQsqrt (float x)
| This routine computes sqrt(x) very quickly on Intel and PowerPC platforms.

## Detailed Description

Fast computation of sqrt(x) and 1/sqrt(x).

Define CS_NO_QSQRT if you experience mysterious problems with CS which you think are related to the specially optimized csQsqrt() not behaving properly.

Definition in file csqsqrt.h.